
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在android studio中配置运行时签名 / 憋错料</title>

    <meta name="description" content="在android studio中配置运行时签名 做项目的时候,有时需要用到第三方接口,而基本第三方接口都是要求我们要先进行签名.结果每次调试都得手动进行签名一次,实在麻烦.所以android studio提供了一种在运行的时候自动进行签名的方法,在build.gradle(Module:app)中进行配置,刚刚开始我们不知道如何直接用代码配置,那么我们可以用android studio的可视化窗口进行编辑. 1.打开Build-&gt;Edit Build Types-&gt;Signing,如图: 2.在这里配置签名文件,点击加号,填写na ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">在android studio中配置运行时签名</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>做项目的时候，有时需要用到第三方接口，而基本第三方接口都是要求我们要先进行签名。结果每次调试都得手动进行签名一次，实在麻烦。所以android studio提供了一种在运行的时候自动进行签名的方法，在build.gradle（Module：app）中进行配置，刚刚开始我们不知道如何直接用代码配置，那么我们可以用android studio的可视化窗口进行编辑。</strong></p>
<p>1、打开Build-&gt;Edit Build Types-&gt;Signing，如图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAxLzIwMTgwMTA0MjE1NjIyNzU5MzQ2LnBuZw==.jpg"></p>
<p>2、在这里配置签名文件，点击加号，填写name，Key Alias，key Password，Store File(签名文件存放的路径)，Store Password</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAxLzIwMTgwMTA0MjE1NjIyOTA2Nzk3LnBuZw==.jpg"></p>
<p>3、点击Build Types的debug</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAxLzIwMTgwMTA0MjE1NjIyOTQzOTA0LnBuZw==.jpg"></p>
<p>4、点击release</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAxLzIwMTgwMTA0MjE1NjIzMDE3MTQyLnBuZw==.jpg"></p>
<p>然后构建一下项目便可以看到在gradle文件里面生成了如下代码</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAxLzIwMTgwMTA0MjE1NjIzMzQ2MjIyLnBuZw==.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAxLzIwMTgwMTA0MjE1NjIzMzg3MjM1LnBuZw==.jpg"></p>
<p>注意signingConfigs要放在buildTypes前面，不然会找不到TestConfig</p>
<pre>android {
    signingConfigs {
        Testconfig {
            keyAlias ‘Test‘
            keyPassword ‘1234‘
            storeFile file(‘D:/key.jks‘)
            storePassword ‘1234‘
        }
    }
   .   .   .
    buildTypes {
        release {
            minifyEnabled true
            proguardFiles getDefaultProguardFile(‘proguard-android.txt‘), ‘proguard-rules.pro‘
            signingConfig signingConfigs.Testconfig
        }
        debug {
            signingConfig signingConfigs.Testconfig
        }
    }
}</pre>
<p><strong>这样就OK了，接下来附上一组关于配置signing时候各个属性的含义：</strong></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAxLzIwMTgwMTA0MjE1NjIzNDMwMjAxLnBuZw==.jpg"></p>
<p><strong>若是构建过程中出现了一下错误：</strong></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAxLzIwMTgwMTA0MjE1NjIzNTQzNDc1LnBuZw==.jpg"></p>
<p><strong>那就说明密码错了。应该检查一下密码</strong></p>

<p>原文地址：https://www.cnblogs.com/tangZH/p/8195166.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 11:39:15 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/ase/" title="ase">ase</a>, <a href="https://www.biecuoliao.com/tag/ble/" title="ble">ble</a>, <a href="https://www.biecuoliao.com/tag/%e7%bb%93%e6%9e%9c/" title="结果">结果</a>, <a href="https://www.biecuoliao.com/tag/%e5%b1%9e%e6%80%a7/" title="属性">属性</a>, <a href="https://www.biecuoliao.com/tag/test/" title="test">test</a>, <a href="https://www.biecuoliao.com/tag/sign/" title="sign">sign</a>, <a href="https://www.biecuoliao.com/tag/config/" title="config">config</a>, <a href="https://www.biecuoliao.com/tag/%e5%ba%94%e8%af%a5/" title="应该">应该</a>, <a href="https://www.biecuoliao.com/tag/gconf/" title="gconf">gconf</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>在android studio中配置运行时签名的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWjdR64.html" rel="bookmark">&lbrack;email&amp;&num;160&semi;protected&rsqb; 在Android studio 中配置Kotlin</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Android项目中配置Kotlin 官方文档讲了如何一步步安装Kotlin插件,并使用插件在Android项目中自动修改Gradle文件来添加对Kotlin的支持.我不建议大家这么做,因为这样自动完成的结果可能并不完美,即使修改后的Gradle文件工作正常,也会打乱Android项目中Gradle文件的一般形式. 说实话,我一直不喜欢有些Android Studio插件直接修改Android build文件,因为经常搞得很乱,我又得一点一点清理直到符合我的风格.Gradle构建文件也是源代码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0R8Onv4.html" rel="bookmark">Android Studio中配置及使用OpenCV示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android Studio配置及使用OpenCV 前言:最近在做项目移植,项目较大,在Eclipse中配置的Jni及OpenCV环境没任何问题,但是迁移到Studio中就问题一大堆,网上也找了一些资料参考及学习,很感谢前人留下的总结及经验.关于在AS中使用jni及配置OpenCV也研究了一 Android Studio配置及使用OpenCV 前言:最近在做项目移植,项目较大,在Eclipse中配置的Jni及OpenCV环境没任何问题,但是迁移到Studio中就问题一大堆,网上也找了一些资料参考			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/n0lA7Z3.html" rel="bookmark">关于Android Studio中启动模拟器时，报VT-x is disabled in BIOS错误的解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有时候在Android Studio中启动一个模拟器去运行程序的时候,会出现下面的错误提示:&quot;Intel HAXM is required to run this AVD,VT-x is disabled in BIOS&quot;. 接下来我来说说解决的办法: 1. 首先在SDK Manager中检查是否安装Download Intel x86 Emulator Accelerator (HAXM installer),如果没有安装,则在SDK Manager中下载安装Download Int			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MENjjP0.html" rel="bookmark">在ADT和Android Studio中配置和使用Git</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				株洲新程IT教育 李赞红 搞了半天,图片居然没上传,直接下载吧:http://download.csdn.net/detail/lifenote/9500827 1.版本控制的作用 A.版本控制 B.项目的基本管理 C.团队协作开发 D.历史记录 E.文件跟踪 2.两个常用的GIT服务商 A.国外:github   https://github.com/ B.国内:[email protected]  http://git.oschina.net/(本文使用这个) 3.GIT的工作原理 A.数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OlerP4.html" rel="bookmark">在 Android studio 中 配置Gradle 进行 &OpenCurlyDoubleQuote;动态编译期间，指定 远程服务器地址 ，生成多个安装包&rdquo;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				需求: 在产品开发中,经常需要发布各个版本,每个版本的服务器地址有不同的服务器地址.比如 开发服务器使用 192.168.1.232服务器, 测试服务器使用 192.168.1.245服务器, 正式上线后服务器地址是http://xxxx.com. 在配合git开发中还要分支管理,常用的有: dev test master 我们起初的开发过程是: 在项目开始时,开发人员写代码,签入代码到dev分支.开发人员使用 开发服务器的服务器地址 在启动测试时,开发组负责人合并代码到 test 测试分支.测			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AnPnzM.html" rel="bookmark">在 Android studio 中 配置Gradle 做到 &OpenCurlyDoubleQuote;根据命令行提示符生成指定versionCode&comma; versionName，指定apk的打包输出路径&rdquo;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				需求: 1. 使用 Android studio ,使用 gradle 进行构建 2. 在实际开发中,我们需要使用jenkins进行打包.就需要配置我们的 gradle 脚本以支持参数化的方式. 3. 想获得一个可配置打包脚本的方法,允许 配置人员根据需要修改 服务器地址,versionCode, versionName 等 4. 隔离的源代码的配置,使用者在 jenkins里进行配置. 概述: 先展示我配置好的 参数,可以在命令提示行下执行,如下: gradle assembleBeta -P			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/VMGrY64.html" rel="bookmark">Retrofit&plus;RxJava&lpar;1&rpar;-在Android Studio中配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在build.gradle中添加 //加入retrolambda需要的plugin声明 apply plugin: 'me.tatarka.retrolambda' //retrolambda的编译路径依赖 buildscript { dependencies { classpath 'me.tatarka:gradle-retrolambda:3.1.0' } } //让IDE使用用Java8语法解析 android { compileOptions { sourceCompatibility			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M66dqGM.html" rel="bookmark">在Android Studio中配置openCV</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				所用的版本:Android Studio3.4.1.openCV 3.4.9 1.下载 在opencv官网下载最新的SDK包,本人下载的版本是3.4.9,下载完毕之后解压. 下载地址:https://opencv.org/releases/ 2.导入 (1)新建一个Android项目OpenCVTest,点击File-&gt;New-&gt;Import Module 出现如下界面 导入刚才解压opencv-3.4.9-android-sdk的位置,选择OpenCV\sdk\java文件夹,点击确定 点击			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02oxo23.html" rel="bookmark">android studio中配置X5 webview时的一个坑</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在接入X5的第二步中,需要配置so文件,这里说一下遇到的坑 1. 需要把demo下载回来,不然你找不到so文件,找到so文件后放到自己相对应的目录下边,自己里面那个目录也没有,所以和文件夹一起复制过去吧. 2. 打开对应module中的build.gradle文件,在文件的android{}中的defaultConfig{}里(如果没有defaultConfig{}则手动添加)添加如下配置: ndk{abiFilters &quot;armeabi&quot;},如果你只写ndk{abiFilters &			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/gMWkkbM.html" rel="bookmark" class="title">&lbrack;转自老马的文章&rsqb;用MODI OCR 21种语言</a>
					<div>
						作者:马健邮箱:[email protected]发布:2007.12.08更新:2012.07.09按照&lt;MODI中的OCR模块&gt;一文相关内容进行修订2012.07.02按照新版Pdg2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEoVvQ3.html" rel="bookmark" class="title">UVa 497 - Strategic Defense Initiative</a>
					<div>
						题目:最大上升子序列,输出一组解. 分析:dp,LIS.数据较小 O(n^2)算法即可. 设以第i个数字作为最大上升子序列中的最后一个数的长度为 f(i),则有转移方程: f(i)= max(f(j) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r2q7q3.html" rel="bookmark" class="title">勾股数组    学习笔记</a>
					<div>
						颓废了一个暑假,想做点CF提高一下智商,然后就被这题卡住了.    http://codeforces.com/contest/707/problem/C 题目大意是给出各条边都是正整数的直角三角形的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDZwLn3.html" rel="bookmark" class="title">&lbrack;一&rsqb;java环境变量的配置</a>
					<div>
						1.JAVA_HOME(新建):D:\jdk1.6 2.classpath(新建): .;%JAVA_HOME%\lib;%JAVA_HOME%\lib\tools.jar; 3.path(新增):% ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YY7dw0.html" rel="bookmark" class="title">loadrunner11 安装及破解教程来自百度文库</a>
					<div>
						http://wenku.baidu.com/link?url=wSdgdZPzSNkftIqPmuz2rLKJ0M7Q3RrfSEdqcoRzfVDMIikj_7OLmLZWgoCiBev3AxvN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEZyJX0.html" rel="bookmark" class="title">Java学习：多线程（2）</a>
					<div>
						线程中的一些方法 线程加入:public final void join() 等待该线程终止,其他线程才能抢着执行. 练习代码如下: 1 public static void main(String[ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyKLea3.html" rel="bookmark" class="title">BZOJ 4291&colon; &lbrack;PA2015&rsqb;Kieszonkowe  水题</a>
					<div>
						4291: [PA2015]Kieszonkowe Time Limit: 1 Sec Memory Limit: 256 MB 题目连接 http://www.lydsy.com/JudgeOnli ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kGzRz0.html" rel="bookmark" class="title">Couldn&rsquo;t  find  MySQL  server</a>
					<div>
						Couldn't  find MySQL  server 1.问题描述: 2.删除制定文件: 3.正常启动mysql:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KB2XrM.html" rel="bookmark" class="title">php&colon;undefined index的几种解决方法</a>
					<div>
						平时用$_post[''],$_get['']获取表单中参数时会出现Notice: Undefined index: --------: 虽然可以通过设置错误显示方式来隐藏这个提示,但是这样也有隐患, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoxkzD0.html" rel="bookmark" class="title">原生javascript跨浏览器常用事件处理</a>
					<div>
						var eventUntil = { getEvent: function (event) {//获取事件 return event ? event : window.event }, addHand ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgNw8B4.html" rel="bookmark" class="title">原谅我&mdash;&mdash;&mdash;&mdash;这是，我很喜欢的一个故事</a>
					<div>
						原谅我,与你错过 在艾尔文染金的云边. 原谅我,默然退出 那东瘟疫腐败的荒原. 原谅我,固执蜷缩 在诺森德冰冷的长夜. 原谅我,反复重温 那些不肯退却的岁月. 原谅我,请原谅我,始终与你相隔数亿光年, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPW6Xv4.html" rel="bookmark" class="title">电脑频繁弹广告 怎么解决问题</a>
					<div>
						电脑几乎成了家庭.公司必备的工具,处处都可见到它的身影.随着使用的广泛,我们生活越来越方便.但是,电脑的安全问题不容小觑.在浏览一些网页的电脑右下角经常自动弹出低俗广告信息,更可恶的是无论该网友怎么点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e7Eqa4.html" rel="bookmark" class="title">C&plus;&plus;之路进阶&mdash;&mdash;左偏堆（罗马游戏）</a>
					<div>
						F.A.Qs Home Discuss ProblemSet Status Ranklist Contest ModifyUser  gryz2016 Logout 捐赠本站 Notice:由于本OJ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jeKXVM.html" rel="bookmark" class="title">浅入DNS</a>
					<div>
						1.DNS是怎么工作的 首先我们可以很简单的理解DNS协议,它就是一个将域名与ip地址进行双向转换的协议,而消息类型只有查询和回应2种类型.那客户端查询域名,是要请求谁呢?答案是域名服务器,现在域名服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l7V5oM.html" rel="bookmark" class="title">Mysql乱码问题总结</a>
					<div>
						这两天研究了下Mysql的字符集编码和排序规则,有个很典型的问题就是乱码问题.所以小记一下. http://www.jianshu.com/p/4c6a27542df4 http://blog.csd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEWgj13.html" rel="bookmark" class="title">Kali-linux攻击路由器</a>
					<div>
						前面介绍的各种工具,都是通过直接破解密码,来连接到无线网络.由于在一个无线网络环境的所有设备中,路由器是最重要的设备之一.通常用户为了保护路由器的安全,通常会设置一个比较复杂的密码.甚至一些用户可能会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dzorB4.html" rel="bookmark" class="title">51nod1459迷宫游戏</a>
					<div>
						1459 迷宫游戏 基准时间限制:1 秒 空间限制:131072 KB 你来到一个迷宫前.该迷宫由若干个房间组成,每个房间都有一个得分,第一次进入这个房间,你就可以得到这个分数.还有若干双向道路连结这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4J9jLn3.html" rel="bookmark" class="title">Hadoop集群（第5期）&lowbar;Hadoop安装配置</a>
					<div>
						1.集群部署介绍 1.1 Hadoop简介 Hadoop是Apache软件基金会旗下的一个开源分布式计算平台.以Hadoop分布式文件系统(HDFS,Hadoop Distributed Filesy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MobZNB4.html" rel="bookmark" class="title">codeforce 599B Spongebob and Joke</a>
					<div>
						一道水题WA那么多发,也是醉了.f看成函数的话,其实就是判断一下反函数存不存在. 坑点,只能在定义域内判断,也就是只判断b[i].没扫一遍前不能确定Impossible. #include&lt;bi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzBdN8M.html" rel="bookmark" class="title">asp&period;net mvc 动态显示不同的部分视图</a>
					<div>
						首先是AJAX请求 //第一次打开 默认s单行文本 $.ajax({ type: &quot;GET&quot;, url: &quot;/Admin/Field/ChoiceType4Edit&qu ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.019 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
